# extractKeyType abstract method

Type? extractKeyType(

1. Class parentClass

)

Extract key type for maps

Parameters:

- `parentClass`: The class representing the map.

Returns:

- The key type, or `null` if not a map.

## Example

    final mapClass = await loader.loadClass<Map<String, int>>('dart:core/map.dart.Map');
    final keyType = loader.extractKeyType(mapClass);
    print(keyType?.qualifiedName); // "dart:core/string.dart.String"

## Implementation

    Type? extractKeyType(Class parentClass);